﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Net;

namespace CarFire
{
    /// <summary>
    /// Small container class for the information concerning a chat packet.
    /// It is immutable.
    /// </summary>
    public class ChatInfo
    {
        // Private member variables
        #region Instance Variables

        NetworkGamer mSender;
        String mMessage;

        #endregion


        /// <summary>
        /// Get the sender who sent the chat packet.
        /// </summary>
        public NetworkGamer Sender
        {
            get { return mSender; }
        }

        /// <summary>
        /// Get the message that was sent by the sender.
        /// </summary>
        public String Message
        {
            get { return mMessage; }
        }


        /// <summary>
        /// Construct a chat packet with contents.
        /// </summary>
        /// <param name="sender">The chat sender.</param>
        /// <param name="message">The chat message.</param>
        public ChatInfo(NetworkGamer sender, String message)
        {
            mSender = sender;
            mMessage = message;
        }
    }
}
